<?php
/**
 * @package System - ChjoomLivesession
 * @version 1.0.4
 * @author Cloudhoreca Kft.
 * @copyright (C) 2022 - Cloudhoreca Kft
 * @license GNU/GPLv2 https://www.gnu.org/licenses/old-licenses/gpl-2.0.html
**/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

//  require_once 'script_spec.php';

class plgPlg_system_chjoomlivesessionChjoomlivesessionInstallerScript //  extends plgPlg_system_chjoomlivesessionChjoomlivesessionInstallerScript_spec
{	
	function postflight($type, $parent)
    {
		$manifest = $parent->get('manifest');
        $old_url = $manifest->updateservers->server;
		
		if (!empty($old_url))
		{
			$host = JUri::root();
			$re_protocoll = '/\w+:\/\//';
			$re_last_dash = '/\/$/';
			$host = preg_replace($re_protocoll, '', $host);
			$host = preg_replace($re_last_dash, '', $host);
			$manifest->updateservers->server = $old_url . '&website=' . $host;
			
			try
			{
				$element = $parent->getElement();
				$extensionType = (string)$manifest->attributes()->type;
				$extensionName = $parent->getName();
				
				if ($extensionType === 'component')
				{
					$manifestPath = JPATH_ADMINISTRATOR . '/components/'. $element . '/' . str_replace('com_', '', $element) . '.xml';
				} 
				elseif ($extensionType === 'module') 
				{
					$manifestPath = JPATH_SITE . '/modules/'. $element . '/' . str_replace('mod_', '', $element) . '.xml';
				} 
				elseif ($extensionType === 'plugin')
				{
					$group = (string)$manifest->attributes()->group;
					$manifestPath = JPATH_SITE . '/plugins/'. $group . '/' . $element . '/' . $element . '.xml';
				}
			
				$newManifest = $manifest->asXML();
				file_put_contents($manifestPath, $newManifest);	
			}
			catch(Exception $e)
			{
				echo $e->getMessage();
				JFactory::getApplication()->enqueueMessage($e->getMessage(), 'error');
			}
		}
		
		//  return parent::postflight();
    }
}
?>